<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>main</filename>
    <title>Globus GSI Certificate Handling Utilities</title>
    <name>main</name>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__cert__utils__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CERT_UTILS_MODULE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils</name>
    <title>Cert Utils Functions</title>
    <filename>group__globus__gsi__cert__utils.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_make_time</name>
      <anchor>a0</anchor>
      <arglist>(ASN1_UTCTIME *ctm, time_t *newtime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_cert_type</name>
      <anchor>a1</anchor>
      <arglist>(X509 *cert, globus_gsi_cert_utils_cert_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_x509_name</name>
      <anchor>a2</anchor>
      <arglist>(char *subject_string, int length, X509_NAME *x509_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_base_name</name>
      <anchor>a3</anchor>
      <arglist>(X509_NAME *subject, STACK_OF(X509)*cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_eec</name>
      <anchor>a4</anchor>
      <arglist>(STACK_OF(X509)*cert_chain, X509 **eec)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_constants</name>
    <title>Cert Utils Constants</title>
    <filename>group__globus__gsi__cert__utils__constants.html</filename>
    <member kind="typedef">
      <type>enum globus_gsi_cert_utils_cert_type_e</type>
      <name>globus_gsi_cert_utils_cert_type_t</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_error_t</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_SUCCESS</name>
      <anchor>a1a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_NAME_ENTRY_OF_SUBJECT</name>
      <anchor>a1a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_COPYING_SUBJECT</name>
      <anchor>a1a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_CN_ENTRY</name>
      <anchor>a1a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_ADDING_CN_TO_SUBJECT</name>
      <anchor>a1a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_OUT_OF_MEMORY</name>
      <anchor>a1a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_UNEXPECTED_FORMAT</name>
      <anchor>a1a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_NON_COMPLIANT_PROXY</name>
      <anchor>a1a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE</name>
      <anchor>a1a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_LAST</name>
      <anchor>a1a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_cert_type_e</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_DEFAULT</name>
      <anchor>a2a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_EEC</name>
      <anchor>a2a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_CA</name>
      <anchor>a2a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2</name>
      <anchor>a2a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3</name>
      <anchor>a2a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC</name>
      <anchor>a2a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_FORMAT_MASK</name>
      <anchor>a2a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_IMPERSONATION_PROXY</name>
      <anchor>a2a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_LIMITED_PROXY</name>
      <anchor>a2a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RESTRICTED_PROXY</name>
      <anchor>a2a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_INDEPENDENT_PROXY</name>
      <anchor>a2a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_PROXY_MASK</name>
      <anchor>a2a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_IMPERSONATION_PROXY</name>
      <anchor>a2a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_INDEPENDENT_PROXY</name>
      <anchor>a2a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXY</name>
      <anchor>a2a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_RESTRICTED_PROXY</name>
      <anchor>a2a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_PROXY</name>
      <anchor>a2a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_LIMITED_PROXY</name>
      <anchor>a2a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_IMPERSONATION_PROXY</name>
      <anchor>a2a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_INDEPENDENT_PROXY</name>
      <anchor>a2a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_LIMITED_PROXY</name>
      <anchor>a2a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_RESTRICTED_PROXY</name>
      <anchor>a2a34</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
